(* ----------------------------------------------------- *)
(*                      CRTVAR.PAS                       *)
(*                                                       *)
(* Stellt die Variable "Crt" (vom Typ VSMCrtPtr) zur Ver-*)
(* fgung sowie die Farbkonstanten der Unit Crt von      *)
(* Turbo Pascal. Aber ACHTUNG: Diese Variable wird NICHT *)
(* angelegt, damit ein Programm sie auch auf einen Erben *)
(* "richten" kann. Auch muss sie "entsorgt", sprich frei-*)
(* gegeben werden.                                       *)
(*                                                       *)
(*          (c) 1991 by R.Reichert & toolbox             *)
(* ----------------------------------------------------- *)
UNIT CRTVar;

INTERFACE

USES ExtVSM2;

TYPE
  VSMCrtPtr    = ExtVSM2.VSMCrtPtr;
  VSMCrt       = ExtVSM2.VSMCrt;

CONST
  On           = TRUE;
  Off          = FALSE;               { Farbkonstanten:   }
  Black        = 0;                   { Schwarz           }
  Blue         = 1;                   { Blau              }
  Green        = 2;                   { Grn              }
  Cyan         = 3;                   { Trkis            }
  Red          = 4;                   { Rot               }
  Magenta      = 5;                   { Fuchsinrot        }
  Brown        = 6;                   { Braun             }
  LightGray    = 7;                   { Hellgrau          }
  DarkGray     = 8;                   { Dunkelgrau        }
  LightBlue    = 9;                   { Hellblau          }
  LightGreen   = 10;                  { Hellgrn          }
  LightCyan    = 11;                  { helles Trkis     }
  LightRed     = 12;                  { Hellrot           }
  LightMagenta = 13;                  { helles Fuchsinrot }
  Yellow       = 14;                  { Gelb              }
  White        = 15;                  { Wei              }
  Blink        = 128;                 { Blinkend          }

VAR
  Crt : VSMCrtPtr;

IMPLEMENTATION

END.
(* ----------------------------------------------------- *)
(*                   Ende von CRTVAR.PAS                 *)
(* ----------------------------------------------------- *)
