(* ----------------------------------------------------- *)
(*                     EVSMDEMO.PAS                      *)
(*                                                       *)
(* Das Programm demonstriert ein paar Fhigkeiten des Ob-*)
(* jekts ExtVSManager. Hinweis: Es lohnt sich, der Ge-   *)
(* schwindigkeit zu Liebe, smtliche bentigte Units nach*)
(* beenden der Testphase mit folgenden Compilerdirektiven*)
(* zu compilieren : {$R-,S-,I-,D-,L-,V-}.                *)
(*                                                       *)
(*          (c) 1991 by R.Reichert & toolbox             *)
(* ----------------------------------------------------- *)
PROGRAM ExtendedVirtualScreenManagerDemo;

USES Crt, VSObj, ExtVSM;

VAR
  VSM : ExtVSMPtr;
  i, j: BYTE;

BEGIN
  VSM := New (ExtVSMPtr,
              Init (New (ScreenObjPtr, Init (80, 25))));
  IF VSM<>NIL THEN
    WITH VSM^ DO BEGIN
      Clear;
      WriteStr (20, 10, 127,
                'Bitte einen Moment Geduld !');
      FOR i := 1 TO 26 DO BEGIN
        AddVS (New (VirtualScreenPtr, Init (80, 25)));
        IF GetReturnCode=VSOk THEN BEGIN
          SelectVS (i);
          Fill (Chr (64+i), $70);
        END;
      END;
      FOR i := 1 TO 26 DO BEGIN
        SelectVS (i);
        IF GetReturnCode=VSOk THEN BEGIN
          CopyToScr;
          Delay (300);
        END;
      END;
      SelectVS (Screen);
      WriteStr (20, 10, 127,
        '          Enter zum Beenden         ');
      Readln;
      Clear;
      Done;
    END
  ELSE BEGIN
    Writeln ('Fehler: Nicht gengend Speicher fr ',
             'virtuellen Bildschirm!');
    Writeln;
    Writeln ('Programm abgebrochen.');
    Halt (1);
  END;
END.
(* ----------------------------------------------------- *)
(*                  Ende von EVSMDEMO.PAS                *)
(* ----------------------------------------------------- *)